#pragma once

#include "../../../COMMON.h"

#define COMPONENT_COUNT COMPONENT_PULSATE + 1
typedef enum ComponentType
{
	/* Utility */
	COMPONENT_TIMER,
	COMPONENT_COUNTER,
	COMPONENT_DELETE_ON_TIMER,
	/* Physics */
	COMPONENT_PHYSICS,
	COMPONENT_COPY_MOUSE_POSITION,
	COMPONENT_CIRCLE_COLLIDER,
	/* Game */
	COMPONENT_GAME_OBJECT,
	COMPONENT_PLANE_OBJECT,
	COMPONENT_WORLD_OBJECT,
	COMPONENT_SOLID,
	COMPONENT_LEVITATE,
	COMPONENT_COLLIDE_SLOW,
	COMPONENT_COLLECTIBLE,
	COMPONENT_COLLECT,
	COMPONENT_HOMING,
	COMPONENT_FOOD,
	COMPONENT_THRESHOLD,
	COMPONENT_TAKE_FOOD,
	COMPONENT_STAGE,
	COMPONENT_STAMINA,
	COMPONENT_POWER,
	COMPONENT_PLAYER_CONTROL,
	/* Animation */
	COMPONENT_ANIMATION,
	COMPONENT_ANIMATION_PLAYER,
	COMPONENT_ANIMATION_TARGET,
	/* UI */
	COMPONENT_BUTTON,
	/* Visual */
	COMPONENT_DROP_SHADOW,
	COMPONENT_TEXTURE_QUAD,
	COMPONENT_TEXT,
	COMPONENT_DIALOGUE,
	COMPONENT_VALUE_TEXT,
	COMPONENT_ATLAS,
	COMPONENT_COLOR_CHANGE,
	COMPONENT_COLOR_MATCH,
	COMPONENT_SCALE_VALUE,
	COMPONENT_ROTATE,
	COMPONENT_PULSATE
} ComponentType;
