#pragma once

#include "component_world_object.h"
#include "component_food.h"

typedef struct ComponentTakeFood
{
	Component component;
	bool isTakeFood;
} ComponentTakeFood;

void component_take_food_tick(ComponentTakeFood* self, ECS* ecs);

static const ComponentInfo COMPONENT_TAKE_FOOD_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_take_food_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_TAKE_FOOD,
	.size = sizeof(ComponentTakeFood)
};
