#pragma once

#include "../../ecs_entity.h"

typedef struct ComponentThreshold
{
	Component component;
	s32 value;
	s32 max;
} ComponentThreshold;

void component_threshold_tick(ComponentThreshold* self, ECS* ecs);
void component_threshold_init(ComponentThreshold* self, ECS* ecs, u32 value);

static const ComponentInfo COMPONENT_THRESHOLD_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_threshold_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_THRESHOLD,
	.size = sizeof(ComponentThreshold)
};
