#pragma once

#include "../../component/visual/component_texture_quad.h"
#include "../../component/visual/component_drop_shadow.h"

#define ENTITY_GLYPH_DEPENDENCY_COUNT 2
static const ComponentType ENTITY_GLYPH_DEPENDENCIES[ENTITY_GLYPH_DEPENDENCY_COUNT] =
{
	COMPONENT_TEXTURE_QUAD,
	COMPONENT_DROP_SHADOW
};

EntityID
entity_glyph_add
(
	ECS* ecs, 
	Texture* texture,
	RendererBuffer buffer, 
	const vec2 size,
	const vec3 position,
	const vec4 color,
	const vec4 dropShadowColor,
	const vec2 dropShadowOffset
);
