#pragma once

#include "../../engine/renderer.h"
#include "../../engine/texture.h"

typedef enum Flip
{
	FLIP_NONE,
	FLIP_HORIZONTAL,
	FLIP_VERTICAL,
	FLIP_HORIZONTAL_VERTICAL
} Flip;

typedef enum Origin
{
	ORIGIN_CENTER,
	ORIGIN_TOP_LEFT,
	ORIGIN_TOP,
	ORIGIN_TOP_RIGHT,
	ORIGIN_RIGHT,
	ORIGIN_BOTTOM_RIGHT,
	ORIGIN_BOTTOM,
	ORIGIN_BOTTOM_LEFT,
	ORIGIN_LEFT,
} Origin;

typedef struct Postprocessing
{
	vec4 color;
	vec4 colorCover;
} Postprocessing;
