#pragma once

#include "text_queue.h"

static const vec3 LEVEL_PLAYER_FOOD_UI_POSITION = {32.0f, 32.0f, 0.0f};
static const vec3 LEVEL_PLAYER_METER_STAMINA_POSITION = {1050.0f, 675.0f, 0.0f};
static const vec3 LEVEL_PLAYER_METER_POWER_POSITION = {1050.0f, 630.0f, 0.0f};
static const vec3 LEVEL_TARGET_FOOD_UI_POSITION = {1200.0f, 32.0f, 0.0f};
static const vec3 LEVEL_THRESHOLD_UI_POSITION = {1200.0f, 64.0f, 0.0f};
static const vec3 LEVEL_MEDAL_POSITION = {1175.0f, 75.0f, 0.0f};
static const vec3 LEVEL_TIMER_POSITION = {600.0f, 32.0f, 0.0f};
static const vec3 LEVEL_EVENT_TIMER_POSITION = {575.0f, 64.0f, 0.0f};
static const vec4 LEVEL_PLAYER_FOOD_UI_MAX_COLOR = {1.0f, 0.0f, 0.0f, 1.0f};

#define LEVEL_TIMER_FORMAT "%i'%02i\"%02i"
#define LEVEL_EVENT_TIMER_FORMAT "Event: %i'%02i\"%02i"
#define LEVEL_PLAYER_FOOD_UI_FORMAT "%i/%i"
#define LEVEL_TARGET_FOOD_UI_FORMAT "%i"
#define LEVEL_THRESHOLD_UI_FORMAT "%i"
#define LEVEL_TIMER_BUFFER RENDERER_BUFFER_UI
#define LEVEL_EVENT_TIMER_BUFFER RENDERER_BUFFER_UI
#define LEVEL_PLAYER_FOOD_UI_BUFFER RENDERER_BUFFER_UI
#define LEVEL_TARGET_FOOD_UI_BUFFER RENDERER_BUFFER_UI
#define LEVEL_THRESHOLD_UI_BUFFER RENDERER_BUFFER_UI
#define LEVEL_TIMER_VALUE_TEXT_TYPE COMPONENT_VALUE_TEXT_TYPE_TIMER
#define LEVEL_EVENT_TIMER_VALUE_TEXT_TYPE COMPONENT_VALUE_TEXT_TYPE_TIMER
#define LEVEL_PLAYER_FOOD_UI_VALUE_TEXT_TYPE COMPONENT_VALUE_TEXT_TYPE_INTEGER_MAX
#define LEVEL_TARGET_FOOD_UI_VALUE_TEXT_TYPE COMPONENT_VALUE_TEXT_TYPE_INTEGER
#define LEVEL_THRESHOLD_UI_VALUE_TEXT_TYPE COMPONENT_VALUE_TEXT_TYPE_INTEGER
#define LEVEL_TIMER_COMPONENT_TYPE COMPONENT_TIMER
#define LEVEL_EVENT_TIMER_COMPONENT_TYPE COMPONENT_TIMER
#define LEVEL_THRESHOLD_UI_COMPONENT_TYPE COMPONENT_THRESHOLD
#define LEVEL_PLAYER_FOOD_UI_COMPONENT_TYPE COMPONENT_FOOD
#define LEVEL_TARGET_FOOD_UI_COMPONENT_TYPE COMPONENT_FOOD

#define STRING_LEVEL_GOLD "You got the gold medal! Keep going for a high score!"
#define STRING_LEVEL_SILVER "You got the silver medal!"
#define STRING_LEVEL_BRONZE "You got the bronze medal! Level completed!"

void level_ui_init(Level* self);
void level_ui_tick(Level* self);
void level_ui_event_timer_init(Level* self);
