#pragma once

#include <SDL2/SDL_mixer.h>

#include "../COMMON.h"

#define SOUND_NO_PRIORITY -1

#define STRING_SDL_MIXER_SOUND_SUCCESS "[INFO] Loaded sound: %s\n"
#define STRING_SDL_MIXER_SOUND_ERROR "[ERROR] Unable to load sound: %s | %s\n"

typedef struct Sound
{
	Mix_Chunk* chunk;
	bool isInit;
} Sound;

bool sound_init(Sound* self, const char* path);
void sound_free(Sound* self);
void sound_play(Sound* self);
void sound_channel_stop(s32 channel);
