#include "time.h"

void
time_formatted_get(u32 value, u32* minutes, u32* seconds, u32* milliseconds)
{
	*minutes = (u32)((f32)value / MINUTE_TICK);
	*seconds = (u32)((f32)value / SECOND_TICK) % SECOND_TICK;
	*milliseconds = (((f32)value - ((*minutes * MINUTE_TICK) + (*seconds * SECOND_TICK))) / SECOND_TICK) * 100;
}
