#include "component_power.h"

void
component_power_init(ComponentPower* self, ECS* ecs, f32 max, f32 gain)
{
	self->value = max;
	self->max = max;
	self->gain = gain;
}

void
component_power_tick(ComponentPower* self, ECS* ecs)
{
	self->value += self->gain;
	self->value = MAX(self->value, self->max);
}
