#pragma once

#include "component_world_object.h"

typedef struct ComponentSolid
{
	Component component;
} ComponentSolid;

void component_solid_tick(ComponentSolid* self, ECS* ecs);

static const ComponentInfo COMPONENT_SOLID_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_solid_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_SOLID,
	.size = sizeof(ComponentSolid)
};
