#pragma once

#include "../../ecs_entity.h"

typedef struct ComponentCounter
{
	Component component;
	s32 value;
} ComponentCounter;

void component_counter_init(ComponentCounter* self, ECS* ecs);
void component_counter_tick(ComponentCounter* self, ECS* ecs);

static const ComponentInfo COMPONENT_COUNTER_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_counter_tick,
			NULL,
			NULL,
		}
	},
	.type = COMPONENT_COUNTER,
	.size = sizeof(ComponentCounter)
};
