#pragma once

#include "ecs_component_list.h"

#define STRING_ECS_COMPONENT_ID_ERROR "[ERROR] ECS component get failed! Invalid entity ID! |"
#define STRING_ECS_COMPONENT_INDEX_ERROR "[ERROR] ECS component get failed! Invalid index! |"

void ecs_component_delete(ECS* self, ComponentType type, EntityID id);
void* ecs_component_add(ECS* self, ComponentType type, EntityID id);
void* ecs_component_get(ECS* self, ComponentType type, EntityID id);
void* ecs_component_from_index_get(ECS* self, ComponentType type, u32 index);
void ecs_components_add(ECS* self, const ComponentType* types, u32 count, EntityID id);
void ecs_components_delete(ECS* self, const ComponentType* types, u32 count, EntityID id);
