#pragma once

#include "../visual/entity_sprite.h"
#include "../../component/visual/component_pulsate.h"

static const vec2 ENTITY_LOGO_SIZE = {500.0f, 250.0f};
static const vec2 ENTITY_LOGO_PULSATE_MIN_SCALE = {0.95f, 0.95f};
static const vec2 ENTITY_LOGO_PULSATE_MAX_SCALE = {1.05f, 1.05f};
static const f32 ENTITY_LOGO_PULSATE_FREQUENCY =  20.0f;

#define ENTITY_LOGO_DEPENDENCY_COUNT 1
static const ComponentType ENTITY_LOGO_DEPENDENCIES[ENTITY_LOGO_DEPENDENCY_COUNT] =
{
	COMPONENT_PULSATE
};

EntityID entity_logo_add(ECS* ecs, vec3 position);

