#pragma once

#include "../visual/entity_sprite.h"
#include "../../component/visual/component_scale_value.h"

static const vec3 ENTITY_METER_FILL_OFFSET = {3.0f, 3.0f, 0.001f};
static const vec2 ENTITY_METER_FILL_MIN_SIZE = {0.0f, 32.0f};
static const vec2 ENTITY_METER_FILL_MAX_SIZE = {200.0f, 32.0f};
static const vec2 ENTITY_METER_SIZE = {206.0f, 38.0f};

#define ENTITY_METER_DEPENDENCY_COUNT 1
static const ComponentType ENTITY_METER_DEPENDENCIES[ENTITY_METER_DEPENDENCY_COUNT] =
{
	COMPONENT_SCALE_VALUE
};

EntityID entity_meter_add(ECS* ecs, Texture* fillTexture, const vec3 position, ComponentType componentType, EntityID valueID);
