#pragma once

#include "../../component/visual/component_value_text.h"

EntityID
entity_value_text_add
(
	ECS* ecs, 
	Font* font,
	RendererBuffer buffer,
	const vec3 position, 
	ComponentType componentType, 
	ComponentValueTextType valueTextType, 
	const char* format, 
	EntityID valueTextID
);

static const vec4 ENTITY_VALUE_TEXT_COLOR = {1.0f, 1.0f, 1.0f, 1.0f};
#define ENTITY_VALUE_TEXT_FONT FONT_DEFAULT

#define ENTITY_VALUE_TEXT_DEPENDENCY_COUNT 1
static const ComponentType ENTITY_VALUE_TEXT_DEPENDENCIES[ENTITY_VALUE_TEXT_DEPENDENCY_COUNT] =
{
	COMPONENT_VALUE_TEXT
};
